Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network224.96.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
224.96.0.0
Broadcast address
224.127.255.255
First usable
224.96.0.1
Last usable
224.127.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E0600000 · Integer 3764387840 to 3766484991
Reverse DNS zones
96.224.in-addr.arpa
97.224.in-addr.arpa
98.224.in-addr.arpa
99.224.in-addr.arpa
100.224.in-addr.arpa
101.224.in-addr.arpa
102.224.in-addr.arpa
103.224.in-addr.arpa
104.224.in-addr.arpa
105.224.in-addr.arpa
106.224.in-addr.arpa
107.224.in-addr.arpa
108.224.in-addr.arpa
109.224.in-addr.arpa
110.224.in-addr.arpa
111.224.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100000.01100000.00000000.00000000224.96.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network11100000.01100000.00000000.00000000224.96.0.0
Broadcast11100000.01111111.11111111.11111111224.127.255.255
Split into smaller subnets/19

224.96.0.0/11 makes 256 subnets of /19.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1224.96.0.0/19224.96.0.1 to 224.96.31.254224.96.31.2558,190
2224.96.32.0/19224.96.32.1 to 224.96.63.254224.96.63.2558,190
3224.96.64.0/19224.96.64.1 to 224.96.95.254224.96.95.2558,190
4224.96.96.0/19224.96.96.1 to 224.96.127.254224.96.127.2558,190
5224.96.128.0/19224.96.128.1 to 224.96.159.254224.96.159.2558,190
6224.96.160.0/19224.96.160.1 to 224.96.191.254224.96.191.2558,190
7224.96.192.0/19224.96.192.1 to 224.96.223.254224.96.223.2558,190
8224.96.224.0/19224.96.224.1 to 224.96.255.254224.96.255.2558,190
9224.97.0.0/19224.97.0.1 to 224.97.31.254224.97.31.2558,190
10224.97.32.0/19224.97.32.1 to 224.97.63.254224.97.63.2558,190
11224.97.64.0/19224.97.64.1 to 224.97.95.254224.97.95.2558,190
12224.97.96.0/19224.97.96.1 to 224.97.127.254224.97.127.2558,190
13224.97.128.0/19224.97.128.1 to 224.97.159.254224.97.159.2558,190
14224.97.160.0/19224.97.160.1 to 224.97.191.254224.97.191.2558,190
15224.97.192.0/19224.97.192.1 to 224.97.223.254224.97.223.2558,190
16224.97.224.0/19224.97.224.1 to 224.97.255.254224.97.255.2558,190
17224.98.0.0/19224.98.0.1 to 224.98.31.254224.98.31.2558,190
18224.98.32.0/19224.98.32.1 to 224.98.63.254224.98.63.2558,190
19224.98.64.0/19224.98.64.1 to 224.98.95.254224.98.95.2558,190
20224.98.96.0/19224.98.96.1 to 224.98.127.254224.98.127.2558,190
21224.98.128.0/19224.98.128.1 to 224.98.159.254224.98.159.2558,190
22224.98.160.0/19224.98.160.1 to 224.98.191.254224.98.191.2558,190
23224.98.192.0/19224.98.192.1 to 224.98.223.254224.98.223.2558,190
24224.98.224.0/19224.98.224.1 to 224.98.255.254224.98.255.2558,190
25224.99.0.0/19224.99.0.1 to 224.99.31.254224.99.31.2558,190
26224.99.32.0/19224.99.32.1 to 224.99.63.254224.99.63.2558,190
27224.99.64.0/19224.99.64.1 to 224.99.95.254224.99.95.2558,190
28224.99.96.0/19224.99.96.1 to 224.99.127.254224.99.127.2558,190
29224.99.128.0/19224.99.128.1 to 224.99.159.254224.99.159.2558,190
30224.99.160.0/19224.99.160.1 to 224.99.191.254224.99.191.2558,190
31224.99.192.0/19224.99.192.1 to 224.99.223.254224.99.223.2558,190
32224.99.224.0/19224.99.224.1 to 224.99.255.254224.99.255.2558,190
33224.100.0.0/19224.100.0.1 to 224.100.31.254224.100.31.2558,190
34224.100.32.0/19224.100.32.1 to 224.100.63.254224.100.63.2558,190
35224.100.64.0/19224.100.64.1 to 224.100.95.254224.100.95.2558,190
36224.100.96.0/19224.100.96.1 to 224.100.127.254224.100.127.2558,190
37224.100.128.0/19224.100.128.1 to 224.100.159.254224.100.159.2558,190
38224.100.160.0/19224.100.160.1 to 224.100.191.254224.100.191.2558,190
39224.100.192.0/19224.100.192.1 to 224.100.223.254224.100.223.2558,190
40224.100.224.0/19224.100.224.1 to 224.100.255.254224.100.255.2558,190
41224.101.0.0/19224.101.0.1 to 224.101.31.254224.101.31.2558,190
42224.101.32.0/19224.101.32.1 to 224.101.63.254224.101.63.2558,190
43224.101.64.0/19224.101.64.1 to 224.101.95.254224.101.95.2558,190
44224.101.96.0/19224.101.96.1 to 224.101.127.254224.101.127.2558,190
45224.101.128.0/19224.101.128.1 to 224.101.159.254224.101.159.2558,190
46224.101.160.0/19224.101.160.1 to 224.101.191.254224.101.191.2558,190
47224.101.192.0/19224.101.192.1 to 224.101.223.254224.101.223.2558,190
48224.101.224.0/19224.101.224.1 to 224.101.255.254224.101.255.2558,190
49224.102.0.0/19224.102.0.1 to 224.102.31.254224.102.31.2558,190
50224.102.32.0/19224.102.32.1 to 224.102.63.254224.102.63.2558,190
51224.102.64.0/19224.102.64.1 to 224.102.95.254224.102.95.2558,190
52224.102.96.0/19224.102.96.1 to 224.102.127.254224.102.127.2558,190
53224.102.128.0/19224.102.128.1 to 224.102.159.254224.102.159.2558,190
54224.102.160.0/19224.102.160.1 to 224.102.191.254224.102.191.2558,190
55224.102.192.0/19224.102.192.1 to 224.102.223.254224.102.223.2558,190
56224.102.224.0/19224.102.224.1 to 224.102.255.254224.102.255.2558,190
57224.103.0.0/19224.103.0.1 to 224.103.31.254224.103.31.2558,190
58224.103.32.0/19224.103.32.1 to 224.103.63.254224.103.63.2558,190
59224.103.64.0/19224.103.64.1 to 224.103.95.254224.103.95.2558,190
60224.103.96.0/19224.103.96.1 to 224.103.127.254224.103.127.2558,190
61224.103.128.0/19224.103.128.1 to 224.103.159.254224.103.159.2558,190
62224.103.160.0/19224.103.160.1 to 224.103.191.254224.103.191.2558,190
63224.103.192.0/19224.103.192.1 to 224.103.223.254224.103.223.2558,190
64224.103.224.0/19224.103.224.1 to 224.103.255.254224.103.255.2558,190
65224.104.0.0/19224.104.0.1 to 224.104.31.254224.104.31.2558,190
66224.104.32.0/19224.104.32.1 to 224.104.63.254224.104.63.2558,190
67224.104.64.0/19224.104.64.1 to 224.104.95.254224.104.95.2558,190
68224.104.96.0/19224.104.96.1 to 224.104.127.254224.104.127.2558,190
69224.104.128.0/19224.104.128.1 to 224.104.159.254224.104.159.2558,190
70224.104.160.0/19224.104.160.1 to 224.104.191.254224.104.191.2558,190
71224.104.192.0/19224.104.192.1 to 224.104.223.254224.104.223.2558,190
72224.104.224.0/19224.104.224.1 to 224.104.255.254224.104.255.2558,190
73224.105.0.0/19224.105.0.1 to 224.105.31.254224.105.31.2558,190
74224.105.32.0/19224.105.32.1 to 224.105.63.254224.105.63.2558,190
75224.105.64.0/19224.105.64.1 to 224.105.95.254224.105.95.2558,190
76224.105.96.0/19224.105.96.1 to 224.105.127.254224.105.127.2558,190
77224.105.128.0/19224.105.128.1 to 224.105.159.254224.105.159.2558,190
78224.105.160.0/19224.105.160.1 to 224.105.191.254224.105.191.2558,190
79224.105.192.0/19224.105.192.1 to 224.105.223.254224.105.223.2558,190
80224.105.224.0/19224.105.224.1 to 224.105.255.254224.105.255.2558,190
81224.106.0.0/19224.106.0.1 to 224.106.31.254224.106.31.2558,190
82224.106.32.0/19224.106.32.1 to 224.106.63.254224.106.63.2558,190
83224.106.64.0/19224.106.64.1 to 224.106.95.254224.106.95.2558,190
84224.106.96.0/19224.106.96.1 to 224.106.127.254224.106.127.2558,190
85224.106.128.0/19224.106.128.1 to 224.106.159.254224.106.159.2558,190
86224.106.160.0/19224.106.160.1 to 224.106.191.254224.106.191.2558,190
87224.106.192.0/19224.106.192.1 to 224.106.223.254224.106.223.2558,190
88224.106.224.0/19224.106.224.1 to 224.106.255.254224.106.255.2558,190
89224.107.0.0/19224.107.0.1 to 224.107.31.254224.107.31.2558,190
90224.107.32.0/19224.107.32.1 to 224.107.63.254224.107.63.2558,190
91224.107.64.0/19224.107.64.1 to 224.107.95.254224.107.95.2558,190
92224.107.96.0/19224.107.96.1 to 224.107.127.254224.107.127.2558,190
93224.107.128.0/19224.107.128.1 to 224.107.159.254224.107.159.2558,190
94224.107.160.0/19224.107.160.1 to 224.107.191.254224.107.191.2558,190
95224.107.192.0/19224.107.192.1 to 224.107.223.254224.107.223.2558,190
96224.107.224.0/19224.107.224.1 to 224.107.255.254224.107.255.2558,190
97224.108.0.0/19224.108.0.1 to 224.108.31.254224.108.31.2558,190
98224.108.32.0/19224.108.32.1 to 224.108.63.254224.108.63.2558,190
99224.108.64.0/19224.108.64.1 to 224.108.95.254224.108.95.2558,190
100224.108.96.0/19224.108.96.1 to 224.108.127.254224.108.127.2558,190
101224.108.128.0/19224.108.128.1 to 224.108.159.254224.108.159.2558,190
102224.108.160.0/19224.108.160.1 to 224.108.191.254224.108.191.2558,190
103224.108.192.0/19224.108.192.1 to 224.108.223.254224.108.223.2558,190
104224.108.224.0/19224.108.224.1 to 224.108.255.254224.108.255.2558,190
105224.109.0.0/19224.109.0.1 to 224.109.31.254224.109.31.2558,190
106224.109.32.0/19224.109.32.1 to 224.109.63.254224.109.63.2558,190
107224.109.64.0/19224.109.64.1 to 224.109.95.254224.109.95.2558,190
108224.109.96.0/19224.109.96.1 to 224.109.127.254224.109.127.2558,190
109224.109.128.0/19224.109.128.1 to 224.109.159.254224.109.159.2558,190
110224.109.160.0/19224.109.160.1 to 224.109.191.254224.109.191.2558,190
111224.109.192.0/19224.109.192.1 to 224.109.223.254224.109.223.2558,190
112224.109.224.0/19224.109.224.1 to 224.109.255.254224.109.255.2558,190
113224.110.0.0/19224.110.0.1 to 224.110.31.254224.110.31.2558,190
114224.110.32.0/19224.110.32.1 to 224.110.63.254224.110.63.2558,190
115224.110.64.0/19224.110.64.1 to 224.110.95.254224.110.95.2558,190
116224.110.96.0/19224.110.96.1 to 224.110.127.254224.110.127.2558,190
117224.110.128.0/19224.110.128.1 to 224.110.159.254224.110.159.2558,190
118224.110.160.0/19224.110.160.1 to 224.110.191.254224.110.191.2558,190
119224.110.192.0/19224.110.192.1 to 224.110.223.254224.110.223.2558,190
120224.110.224.0/19224.110.224.1 to 224.110.255.254224.110.255.2558,190
121224.111.0.0/19224.111.0.1 to 224.111.31.254224.111.31.2558,190
122224.111.32.0/19224.111.32.1 to 224.111.63.254224.111.63.2558,190
123224.111.64.0/19224.111.64.1 to 224.111.95.254224.111.95.2558,190
124224.111.96.0/19224.111.96.1 to 224.111.127.254224.111.127.2558,190
125224.111.128.0/19224.111.128.1 to 224.111.159.254224.111.159.2558,190
126224.111.160.0/19224.111.160.1 to 224.111.191.254224.111.191.2558,190
127224.111.192.0/19224.111.192.1 to 224.111.223.254224.111.223.2558,190
128224.111.224.0/19224.111.224.1 to 224.111.255.254224.111.255.2558,190
129224.112.0.0/19224.112.0.1 to 224.112.31.254224.112.31.2558,190
130224.112.32.0/19224.112.32.1 to 224.112.63.254224.112.63.2558,190
131224.112.64.0/19224.112.64.1 to 224.112.95.254224.112.95.2558,190
132224.112.96.0/19224.112.96.1 to 224.112.127.254224.112.127.2558,190
133224.112.128.0/19224.112.128.1 to 224.112.159.254224.112.159.2558,190
134224.112.160.0/19224.112.160.1 to 224.112.191.254224.112.191.2558,190
135224.112.192.0/19224.112.192.1 to 224.112.223.254224.112.223.2558,190
136224.112.224.0/19224.112.224.1 to 224.112.255.254224.112.255.2558,190
137224.113.0.0/19224.113.0.1 to 224.113.31.254224.113.31.2558,190
138224.113.32.0/19224.113.32.1 to 224.113.63.254224.113.63.2558,190
139224.113.64.0/19224.113.64.1 to 224.113.95.254224.113.95.2558,190
140224.113.96.0/19224.113.96.1 to 224.113.127.254224.113.127.2558,190
141224.113.128.0/19224.113.128.1 to 224.113.159.254224.113.159.2558,190
142224.113.160.0/19224.113.160.1 to 224.113.191.254224.113.191.2558,190
143224.113.192.0/19224.113.192.1 to 224.113.223.254224.113.223.2558,190
144224.113.224.0/19224.113.224.1 to 224.113.255.254224.113.255.2558,190
145224.114.0.0/19224.114.0.1 to 224.114.31.254224.114.31.2558,190
146224.114.32.0/19224.114.32.1 to 224.114.63.254224.114.63.2558,190
147224.114.64.0/19224.114.64.1 to 224.114.95.254224.114.95.2558,190
148224.114.96.0/19224.114.96.1 to 224.114.127.254224.114.127.2558,190
149224.114.128.0/19224.114.128.1 to 224.114.159.254224.114.159.2558,190
150224.114.160.0/19224.114.160.1 to 224.114.191.254224.114.191.2558,190
151224.114.192.0/19224.114.192.1 to 224.114.223.254224.114.223.2558,190
152224.114.224.0/19224.114.224.1 to 224.114.255.254224.114.255.2558,190
153224.115.0.0/19224.115.0.1 to 224.115.31.254224.115.31.2558,190
154224.115.32.0/19224.115.32.1 to 224.115.63.254224.115.63.2558,190
155224.115.64.0/19224.115.64.1 to 224.115.95.254224.115.95.2558,190
156224.115.96.0/19224.115.96.1 to 224.115.127.254224.115.127.2558,190
157224.115.128.0/19224.115.128.1 to 224.115.159.254224.115.159.2558,190
158224.115.160.0/19224.115.160.1 to 224.115.191.254224.115.191.2558,190
159224.115.192.0/19224.115.192.1 to 224.115.223.254224.115.223.2558,190
160224.115.224.0/19224.115.224.1 to 224.115.255.254224.115.255.2558,190
161224.116.0.0/19224.116.0.1 to 224.116.31.254224.116.31.2558,190
162224.116.32.0/19224.116.32.1 to 224.116.63.254224.116.63.2558,190
163224.116.64.0/19224.116.64.1 to 224.116.95.254224.116.95.2558,190
164224.116.96.0/19224.116.96.1 to 224.116.127.254224.116.127.2558,190
165224.116.128.0/19224.116.128.1 to 224.116.159.254224.116.159.2558,190
166224.116.160.0/19224.116.160.1 to 224.116.191.254224.116.191.2558,190
167224.116.192.0/19224.116.192.1 to 224.116.223.254224.116.223.2558,190
168224.116.224.0/19224.116.224.1 to 224.116.255.254224.116.255.2558,190
169224.117.0.0/19224.117.0.1 to 224.117.31.254224.117.31.2558,190
170224.117.32.0/19224.117.32.1 to 224.117.63.254224.117.63.2558,190
171224.117.64.0/19224.117.64.1 to 224.117.95.254224.117.95.2558,190
172224.117.96.0/19224.117.96.1 to 224.117.127.254224.117.127.2558,190
173224.117.128.0/19224.117.128.1 to 224.117.159.254224.117.159.2558,190
174224.117.160.0/19224.117.160.1 to 224.117.191.254224.117.191.2558,190
175224.117.192.0/19224.117.192.1 to 224.117.223.254224.117.223.2558,190
176224.117.224.0/19224.117.224.1 to 224.117.255.254224.117.255.2558,190
177224.118.0.0/19224.118.0.1 to 224.118.31.254224.118.31.2558,190
178224.118.32.0/19224.118.32.1 to 224.118.63.254224.118.63.2558,190
179224.118.64.0/19224.118.64.1 to 224.118.95.254224.118.95.2558,190
180224.118.96.0/19224.118.96.1 to 224.118.127.254224.118.127.2558,190
181224.118.128.0/19224.118.128.1 to 224.118.159.254224.118.159.2558,190
182224.118.160.0/19224.118.160.1 to 224.118.191.254224.118.191.2558,190
183224.118.192.0/19224.118.192.1 to 224.118.223.254224.118.223.2558,190
184224.118.224.0/19224.118.224.1 to 224.118.255.254224.118.255.2558,190
185224.119.0.0/19224.119.0.1 to 224.119.31.254224.119.31.2558,190
186224.119.32.0/19224.119.32.1 to 224.119.63.254224.119.63.2558,190
187224.119.64.0/19224.119.64.1 to 224.119.95.254224.119.95.2558,190
188224.119.96.0/19224.119.96.1 to 224.119.127.254224.119.127.2558,190
189224.119.128.0/19224.119.128.1 to 224.119.159.254224.119.159.2558,190
190224.119.160.0/19224.119.160.1 to 224.119.191.254224.119.191.2558,190
191224.119.192.0/19224.119.192.1 to 224.119.223.254224.119.223.2558,190
192224.119.224.0/19224.119.224.1 to 224.119.255.254224.119.255.2558,190
193224.120.0.0/19224.120.0.1 to 224.120.31.254224.120.31.2558,190
194224.120.32.0/19224.120.32.1 to 224.120.63.254224.120.63.2558,190
195224.120.64.0/19224.120.64.1 to 224.120.95.254224.120.95.2558,190
196224.120.96.0/19224.120.96.1 to 224.120.127.254224.120.127.2558,190
197224.120.128.0/19224.120.128.1 to 224.120.159.254224.120.159.2558,190
198224.120.160.0/19224.120.160.1 to 224.120.191.254224.120.191.2558,190
199224.120.192.0/19224.120.192.1 to 224.120.223.254224.120.223.2558,190
200224.120.224.0/19224.120.224.1 to 224.120.255.254224.120.255.2558,190
201224.121.0.0/19224.121.0.1 to 224.121.31.254224.121.31.2558,190
202224.121.32.0/19224.121.32.1 to 224.121.63.254224.121.63.2558,190
203224.121.64.0/19224.121.64.1 to 224.121.95.254224.121.95.2558,190
204224.121.96.0/19224.121.96.1 to 224.121.127.254224.121.127.2558,190
205224.121.128.0/19224.121.128.1 to 224.121.159.254224.121.159.2558,190
206224.121.160.0/19224.121.160.1 to 224.121.191.254224.121.191.2558,190
207224.121.192.0/19224.121.192.1 to 224.121.223.254224.121.223.2558,190
208224.121.224.0/19224.121.224.1 to 224.121.255.254224.121.255.2558,190
209224.122.0.0/19224.122.0.1 to 224.122.31.254224.122.31.2558,190
210224.122.32.0/19224.122.32.1 to 224.122.63.254224.122.63.2558,190
211224.122.64.0/19224.122.64.1 to 224.122.95.254224.122.95.2558,190
212224.122.96.0/19224.122.96.1 to 224.122.127.254224.122.127.2558,190
213224.122.128.0/19224.122.128.1 to 224.122.159.254224.122.159.2558,190
214224.122.160.0/19224.122.160.1 to 224.122.191.254224.122.191.2558,190
215224.122.192.0/19224.122.192.1 to 224.122.223.254224.122.223.2558,190
216224.122.224.0/19224.122.224.1 to 224.122.255.254224.122.255.2558,190
217224.123.0.0/19224.123.0.1 to 224.123.31.254224.123.31.2558,190
218224.123.32.0/19224.123.32.1 to 224.123.63.254224.123.63.2558,190
219224.123.64.0/19224.123.64.1 to 224.123.95.254224.123.95.2558,190
220224.123.96.0/19224.123.96.1 to 224.123.127.254224.123.127.2558,190
221224.123.128.0/19224.123.128.1 to 224.123.159.254224.123.159.2558,190
222224.123.160.0/19224.123.160.1 to 224.123.191.254224.123.191.2558,190
223224.123.192.0/19224.123.192.1 to 224.123.223.254224.123.223.2558,190
224224.123.224.0/19224.123.224.1 to 224.123.255.254224.123.255.2558,190
225224.124.0.0/19224.124.0.1 to 224.124.31.254224.124.31.2558,190
226224.124.32.0/19224.124.32.1 to 224.124.63.254224.124.63.2558,190
227224.124.64.0/19224.124.64.1 to 224.124.95.254224.124.95.2558,190
228224.124.96.0/19224.124.96.1 to 224.124.127.254224.124.127.2558,190
229224.124.128.0/19224.124.128.1 to 224.124.159.254224.124.159.2558,190
230224.124.160.0/19224.124.160.1 to 224.124.191.254224.124.191.2558,190
231224.124.192.0/19224.124.192.1 to 224.124.223.254224.124.223.2558,190
232224.124.224.0/19224.124.224.1 to 224.124.255.254224.124.255.2558,190
233224.125.0.0/19224.125.0.1 to 224.125.31.254224.125.31.2558,190
234224.125.32.0/19224.125.32.1 to 224.125.63.254224.125.63.2558,190
235224.125.64.0/19224.125.64.1 to 224.125.95.254224.125.95.2558,190
236224.125.96.0/19224.125.96.1 to 224.125.127.254224.125.127.2558,190
237224.125.128.0/19224.125.128.1 to 224.125.159.254224.125.159.2558,190
238224.125.160.0/19224.125.160.1 to 224.125.191.254224.125.191.2558,190
239224.125.192.0/19224.125.192.1 to 224.125.223.254224.125.223.2558,190
240224.125.224.0/19224.125.224.1 to 224.125.255.254224.125.255.2558,190
241224.126.0.0/19224.126.0.1 to 224.126.31.254224.126.31.2558,190
242224.126.32.0/19224.126.32.1 to 224.126.63.254224.126.63.2558,190
243224.126.64.0/19224.126.64.1 to 224.126.95.254224.126.95.2558,190
244224.126.96.0/19224.126.96.1 to 224.126.127.254224.126.127.2558,190
245224.126.128.0/19224.126.128.1 to 224.126.159.254224.126.159.2558,190
246224.126.160.0/19224.126.160.1 to 224.126.191.254224.126.191.2558,190
247224.126.192.0/19224.126.192.1 to 224.126.223.254224.126.223.2558,190
248224.126.224.0/19224.126.224.1 to 224.126.255.254224.126.255.2558,190
249224.127.0.0/19224.127.0.1 to 224.127.31.254224.127.31.2558,190
250224.127.32.0/19224.127.32.1 to 224.127.63.254224.127.63.2558,190
251224.127.64.0/19224.127.64.1 to 224.127.95.254224.127.95.2558,190
252224.127.96.0/19224.127.96.1 to 224.127.127.254224.127.127.2558,190
253224.127.128.0/19224.127.128.1 to 224.127.159.254224.127.159.2558,190
254224.127.160.0/19224.127.160.1 to 224.127.191.254224.127.191.2558,190
255224.127.192.0/19224.127.192.1 to 224.127.223.254224.127.223.2558,190
256224.127.224.0/19224.127.224.1 to 224.127.255.254224.127.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses